#    =====================================================================
#    |                   SPALEWARE LICENSE (Revision 0.1)                |
#    |-------------------------------------------------------------------|
#    | This file is part of a package called "GenEthic" and is           |
#    | licensed under SPALEWARE. You may freely modify and distribute    |
#    | this package or parts of it. But you MUST keep the SPALWARE       |
#    | license in it!                                                    |
#    |                                                                   |
#    =====================================================================
#
#

# GenEthic 1.2 configuration file
#
# All the keywords should be understandable
# if not, drop me a mail spale@undernet.org

# CTCP Finger reply
# no reply to not authenticated opers
# no reply if empty
FINGER:Download me @ www.genethic.ch

# CTCP VERSION reply, please dont change, but if you really want to, you may ;)
# no reply to not authenticated opers
# no reply if empty
VERSION:v1.2

# IP Address and port of the IRC Server
CONN_DST_IP:192.168.1.2
CONN_DST_PORT:6667
# Source Address you want to use (for so called vhosts)
CONN_SRC_IP:192.168.1.1
# Server Password (leave empty if none)
USER_PASS:i_line_password

# The TIME_FACTOR defines how many seconds to
# wait between the sending of two messages.
# Servers having a RECVQ of 1024 should use 2 seconds.
# Servers having a RECVQ of 2048 should use 1 second.
# Too low value can "excess flood" the bot.
# Too high value can make it unusable...
TIME_FACTOR:1

# MY Server name, MUST be the EXACT match (no case), like geneva.ch.eu.undernet.org
SERVER_NAME:my.cool.server.undernet.org

# Must be the unixuser the bot is using (EXACT match)
USER_IDENT:myident

# IRC RealName
USER_RNAME:GenEthic v1.2, download me @ www.genethic.ch/download/

# Multiple nicknames, in case 1st is already used, 2nd is used, etc...
NICKS:GenBot GeneBot MyBot More And Other Nicknames

# If you want to bot login into CService
# mandatory is you want to VERIFY users joining
X_AUTH:TRUE

# Nickname of the CService bot
X_NICK:X

# Fullhost to be able to send the 'login' command
X_HOST:x@channels.undernet.org

# CService username
X_USER:xusername

# CService password
X_PASS:xpassword

# OPER Username and password (o line)
# dont forget that you should not give the bot
# a global 'O' line, but a local 'o' line.
O_USER:my_o_line_username
O_PASS:my_o_line_password

# The channel where the bot lives...
# VERY IMPORTANT NOTE:
#    This bot has been designed to run on
#    a LOCAL channel. Running the bot on
#    a GLOBAL channel is possible, but you
#    must be aware that this IS a security
#    hole and may result in unexcpected
#    behavior!!!!
#
#    If you're crasy enough to it on a GLOBAL
#    channel, you must enable the option
#    CHAN_RUNNING_THE_BOT_ON_A_GLOBAL_CHANNEL_IS_A_SECURITY_HOLE:1
CHAN_NAME:&my_local_channel

# If you want to bot keeping the channel modes
CHAN_KEEP_MODES:TRUE

# Channel modes you want to set, like +int-m
# Channel should be in +i, and do NOT set a +k on it.
CHAN_MODES:+intsm-p

# Is this channel OPER only?
# If not OPER only, bot NOTICE will automaticly be sent to OPS only.
# and non-OPER OPS will be DEOPED.
CHAN_OPER_ONLY:TRUE

# Automaticly invite OPERs when they /oper
CHAN_OPER_INV:TRUE

# Action to take when a non OPER joins. KILL or KICK
CHAN_OPER_ACTION:KICK

# Reason of action
CHAN_OPER_ACTION_REASON:You dont have the right to JOIN this channel!

# Send NOTICE to channel ops only
OPS_INFO_ONLY:TRUE

# String to remove in the hubs names when output to channel
HUB_COMMON:.undernet.org

# Theshold of minimum users when showing map, also used in calculation of position of your server
# if less then this number, consider as a hub.
MAP_THRESHOLD:10

# Every n seconds the bot will give stats about the server in channel, if you are using MRTG
# for your stats, be sure to use 300 seconds or 150 seconds.
# do NOT use less than 60 seconds or the bot may enter in an unended loop.
INFO_TIME:300

# when reached USER_THRESHOLD and TIME_THRESHOLD print users change
USER_THRESHOLD:25
TIME_THRESHOLD:30
# average users/sec more or less (calculated on the sames values as above)
# 100 = 1 sec.
USER_SEC_THRESHOLD:150
# Print only if reached limit of more than value of USER_SEC_THRESHOLD
PRINT_ONLY_WARNING:TRUE

# check for external data, like cpu load of server or anything comming from
# an external file. Please format you data correctly :-P
# DISPLAY_NAME;OPTIONS;CONTENT_TO_DISPLAY
# Options:
#        <+number>   if CONTENT bigger than the number, display
#        <-number>   if CONTENT smaller then the number, display
#        ANY         show it allways, like uptimes or CPU.
#EXTERNAL_FILE:%PATH%/etc/example_external.data

# Prohibit OPER Trials
OPER_FAIL_CHECK:TRUE
# number of fails until action is taken (only user@host is stored to match the user)
# 1 = after one trial, action is taken
OPER_FAIL_MAX:2
# When reached the MAX fails, what action do we take?
# It may be KILL or LGLINE (if enabled on the server)
OPER_FAIL_ACTION:LGLINE
OPER_FAIL_GLINE_TIME:180
OPER_FAIL_WARNING:You do NOT have the right to use that command. Your details have been logged.
OPER_FAIL_ACTION_REASON:Abuse of OPER command. You will be banned from this server for 3 minutes.

# logging misconfigured DNS (DNS mismatch server notices)
#LOG_MISDNS:TRUE
LOG_MISDNS:FALSE
LOGFILE_MISDNS:%PATH%/var/dnserr.log

# DEBUGGING 0=none 1=yes
DEBUG:2
DEBUG_HIDE_CONNECT:1
DEBUG_HIDE_WHO:1
DEBUG_FILE:%PATH%/var/debug.log

# Will gline users if the number of users with the same RNAME exceeds this value
RNAME_LIMIT:10
# how much time we gline those users (in seconds)
RNAME_GLINE_TIME:604800
# Those RealName will NEVER be glined!
# the list separator is ',' you may use regexp
# example: RNAME_WHITE_LIST:x,-=- HackEd by .*,.*fuck.*
RNAME_WHITE_LIST:x,\.,none,xxx,.*to lame to read BitchX.*,No Info,\*,ask,.*www,irccap,net.*,...,me,a,-,\?,#UserService Channel Bot,\.\.\.\?,\.\.\.\.,sanjuanvip.com
